
GammaLib - Feature #53

Implement extensive model testing

02/27/2012 03:29 PM - Knödlseder Jürgen

Status: Closed Start date: 02/27/2012

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 00-08-00   

Description

The unit test for model verification (test_GModel.cpp) so far performs only very limited checking. A general model verification function

should be implemented, and all models should be tested against this class. The unit check should comprise the XML interface, model

and model gradient evaluations, model manipulations, photon and energy flux evaluations, and Monte Carlo simulations.

History

#1 - 12/21/2012 12:40 AM - Knödlseder Jürgen

- Target version set to 00-08-00

#2 - 04/13/2013 01:35 AM - Knödlseder Jürgen

- Status changed from New to Feedback

- % Done changed from 0 to 100

Extensive model tests have been added.

#3 - 12/14/2013 01:02 AM - Knödlseder Jürgen

- Status changed from Feedback to Closed

- Assigned To set to Knödlseder Jürgen
